#pragma once

#include <mutex>
#include <condition_variable>
#include <iostream>
#include <string>
#include <vector>
#include <ixwebsocket/IXWebSocket.h>
#include <memory>
#include <nlohmann/json.hpp>
#include "nodes/ormConfigurator/ormConfigurator.h"

class msgHandler {
public:
    explicit msgHandler(const nlohmann::json &msg, const std::string &url);
    void msgHandle(ormNode *orm);

protected:
    const nlohmann::json message;
    const std::string source;
    void F1StageProcessing();
    void F2StageProcessing();
    void F3StageProcessing();

};